Skip to main content
POST
/
v1
/
findings
/
{id}
/
conversations
/
{conversationId}
/
comments
Add a comment or annotation
curl --request POST \
  --url https://api.zelto.ai/v1/findings/{id}/conversations/{conversationId}/comments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "body": "<string>",
  "type": "comment",
  "annotationStartMs": 1,
  "annotationEndMs": 1
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "body": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "annotationStartMs": 123,
  "annotationEndMs": 123,
  "authorUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Send Authorization: Bearer YOUR_API_KEY. The key resolves to a single organization.

Path Parameters

id
string<uuid>
required
conversationId
string<uuid>
required

Body

application/json
body
string
required
Minimum string length: 1
type
enum<string>
default:comment
Available options:
annotation,
comment
annotationStartMs
integer
Required range: x >= 0
annotationEndMs
integer
Required range: x >= 0

Response

Created comment.

id
string<uuid>
required
body
string
required
type
enum<string>
required
Available options:
annotation,
comment
createdAt
string<date-time>
required
annotationStartMs
integer | null
annotationEndMs
integer | null
authorUserId
string<uuid> | null